Subject: Re: Source Routing WAS Re: [SIP] Route learnt out of band

From: "Keith Robinson" <[email-masked]>
Date: Fri, 20 Oct 2000 15:12:58 +0100

One issue I can think. In an initial INVITE, the TO: tag will be blank (no call
leg set up yet), in a re-INVITE the TO: tag will not be blank. As a re-INVITE
therefore appears to be distinguishable from an initial INVITE a strict proxy
may well accept the ROUTE: header on a re-INVITE but not on an initial INVITE.

Thanks
K. Robinson

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 21 Oct 2000 12:33:57 +0300

Hi,

A general advice given in the bake-offs is that implementing this kind
of "picky" or strict proxy is a bad idea.
If the proxy has all the necessary information to route the INVITE, why
should it lose its time double-checking the message grammar trying to
discover odd combination of events (e.g. This message has a Route but no
a tag in the To... let's discard the message instead of route it)?

A proxy should be concern with the headers that it has to use in order
to perform its task. Once it has the information needed to route the
message, the best approach is routing the message straight away.

This is one of the good things of SIP, and that's why proxies do not
parse the message body, for instance.

"Be strict when sending and tolerant when receiving."

Thanks for your feedback,

Gonzalo